dataset:
    name: [WebCV]
    path: [[
        # ['frames/PD4D/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera0]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera1]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera2]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera3]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera4]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera5]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera6]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera7]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera8]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera9]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera10]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera11]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera12]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera13]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera14]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[camera15]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[yaw-0]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[yaw-60]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
        ['frames/PD4D/IKE196_buf[40s4]-ctx[sequence-single]_spat5_cam[yaw-neg-60]_ego[yaw-0]_zbuffer_resi[-1,512,s16]_rc[384,512]/indices/split_train.txt',1],
    ]]
    labels: [rgb,intrinsics,pose]
    source: [frames]
    shuffle_shards: [True]
    parallelism: [1]
    augmentation:
        resize: [-1,512,s16]
        resize_supervision: True
    params:
        context: [0,40]
        cameras: [0]  # NOTE: webdataset itself already cycles through all cameras as target
        cameras_context: [1,2,3,4,5]
        cameras_context_sample: 2
        shuffle: True
        sample: 1
    repeat_loop: [5]



